GetTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.tiles.GetTag,GetTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.tiles
Class GetTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.tiles.DefinitionTagSupport
                  |
                  +--org.apache.struts.taglib.tiles.InsertTag
                        |
                        +--org.apache.struts.taglib.tiles.GetTag

All Implemented Interfaces:
  ComponentConstants, PutListTagParent, PutTagParent, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class GetTag
extends InsertTag

This is the tag handler for <tiles:get>, which gets content from the request scope and either includes the content or prints it, depending upon the value of the content's `direct` attribute. This tag is intended to be compatible with the same tag from Templates (David Geary). Implementation extends InsertTag for facility (no so well). The only difference is the default value of attribute 'ignore', which is `true` for this tag (default behavior of David Geary's templates).

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.struts.taglib.tiles.InsertTag
`InsertTag.DirectStringHandler, InsertTag.InsertHandler, InsertTag.TagHandler`

Field Summary

Fields inherited from class org.apache.struts.taglib.tiles.InsertTag
`attribute, beanName, beanProperty, beanScope, cachedCurrentContext, definitionName, flush, isErrorIgnored, log, name, pageContext, processEndTag, ROLE_DELIMITER, tagHandler`

Fields inherited from class org.apache.struts.taglib.tiles.DefinitionTagSupport
`controllerName, controllerType, page, role`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id`

Fields inherited from interface org.apache.struts.taglib.tiles.ComponentConstants
`COMPONENT_CONTEXT, COMPONENT_SCOPE, EXCEPTION_KEY, LOCALE_KEY`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GetTag()` Constructor.

Method Summary
`void` | `release()` Release all allocated resources.

Methods inherited from class org.apache.struts.taglib.tiles.InsertTag
`createTagHandler, doEndTag, doInclude, doStartTag, getBeanName, getBeanProperty, getBeanScope, getDefinitionName, getFlush, getIgnore, getName, getPageContext, processAsDefinitionOrURL, processAttribute, processBean, processDefinition, processDefinitionName, processName, processNestedTag, processNestedTag, processObjectValue, processTypedAttribute, processUrl, putAttribute, putAttribute, releaseInternal, setAttribute, setBeanName, setBeanProperty, setBeanScope, setComponent, setDefinition, setFlush, setFlush, setIgnore, setInstance, setName, setPageContext, userHasRole`

Methods inherited from class org.apache.struts.taglib.tiles.DefinitionTagSupport
`getControllerName, getControllerType, getPage, getRole, getTemplate, setController, setControllerClass, setControllerName, setControllerType, setControllerUrl, setPage, setRole, setTemplate`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTag

    public GetTag()

  Constructor. Set default value for 'isErrorIgnored' to `true`.

Method Detail

### release

    public void release()

  Release all allocated resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `InsertTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation